lunes, 19 de febrero de 2007

Evitando cierre de aMule al cerrar pestaña de búsqueda

Post-It: Antes de hacer nada, cierra aMule y asegúrate de que la opción UseSkinFile=0 de /home/USUARIO/.aMule/amule.conf aparece tal cual. En caso de tener asignado valor 1, pónla a 0.
Si con ello no consigues subsanar el error, continúa leyendo...


La versión estable actual de aMule (2.1.3), casca al cerrar las pestañas de búsqueda. Sin embargo, el problema no reside en aMule, sino en wxWidgets.
A continuación expongo lo que yo he realizado para tener funcionando correctamente la aplicación P2P.

Receta: Evitar el cierre de aMule al cerrar las pestañas de búsqueda.
  1. # aptitude purge amule-common
  2. # aptitude clean
  3. # aptitude download amule
  4. # dkpg -i /home/USUARIO/amule_2.1.3-1_i386.deb (pedirá una serie de dependencias, las instalamos y volvemos a ejecutar el comando en caso de ser necesario)

Nota: Si aún no has instalado aMule, sáltate los pasos 1 y 2.

Artículo relacionado | Solución para los elinks y los cuelgues de aMule

[ACTUALIZACIÓN]
Parece ser que la solución óptima es la siguiente:
Bueno dejando de lado las diferencias :p decirte aforado carapapa que este problema que comentas es un bug de la version del wxWidgets 2.6.3 y nodel propio aMule, tal y como se comenta en la web del desarrollador; las soluciones son varias, una es la que te dieron no cierres la pestaña, pero a mi eso es como poner un cuadro para tapar un agujero; asi que desechando esta, te queda la opcin de descargar la ultima version del wxWidgets que ahora es la 2.8.1 donde el bug ya esta solucionado, y luego aplicar el parche que hay para la version del aMule 2.1.3 para que pueda correr con esta version del wxWidgets; la otra opcion y es la que yo uso es usar la version CVS del amule (en desarrollo), con las wxWidgets 2.8.x (la unica con la que te funcionara); si te resulta engorroso compilar, puedes usar los binarios (32 bits) que hay aqui (http://gw78.sam-host.net/suse/10.2)
para ejecutar la version CVS desde consola: amule --even-if-lfroen-complains-this-will-stay
funciona correctamente, cualquier duda ya sabes...

Vía | FOROSuSE - amule, error chungo [www.forosuse.org]

Post-It: Antes de hacer nada, cierra aMule y asegúrate de que la opción UseSkinFile=0 de /home/USUARIO/.aMule/amule.conf aparece tal cual. En caso de tener asignado valor 1, pónla a 0.
Si con ello no consigues subsanar el error, continúa leyendo...


La versión estable actual de aMule (2.1.3), casca al cerrar las pestañas de búsqueda. Sin embargo, el problema no reside en aMule, sino en wxWidgets.
A continuación expongo lo que yo he realizado para tener funcionando correctamente la aplicación P2P.

Receta: Evitar el cierre de aMule al cerrar las pestañas de búsqueda.
  1. # aptitude purge amule-common
  2. # aptitude clean
  3. # aptitude download amule
  4. # dkpg -i /home/USUARIO/amule_2.1.3-1_i386.deb (pedirá una serie de dependencias, las instalamos y volvemos a ejecutar el comando en caso de ser necesario)
Nota: Si aún no has instalado aMule, sáltate los pasos 1 y 2.

Artículo relacionado | Solución para los elinks y los cuelgues de aMule

[ACTUALIZACIÓN]
Parece ser que la solución óptima es la siguiente:
Bueno dejando de lado las diferencias :p decirte aforado carapapa que este problema que comentas es un bug de la version del wxWidgets 2.6.3 y nodel propio aMule, tal y como se comenta en la web del desarrollador; las soluciones son varias, una es la que te dieron no cierres la pestaña, pero a mi eso es como poner un cuadro para tapar un agujero; asi que desechando esta, te queda la opcin de descargar la ultima version del wxWidgets que ahora es la 2.8.1 donde el bug ya esta solucionado, y luego aplicar el parche que hay para la version del aMule 2.1.3 para que pueda correr con esta version del wxWidgets; la otra opcion y es la que yo uso es usar la version CVS del amule (en desarrollo), con las wxWidgets 2.8.x (la unica con la que te funcionara); si te resulta engorroso compilar, puedes usar los binarios (32 bits) que hay aqui (http://gw78.sam-host.net/suse/10.2)
para ejecutar la version CVS desde consola: amule --even-if-lfroen-complains-this-will-stay
funciona correctamente, cualquier duda ya sabes...

Vía | FOROSuSE - amule, error chungo [www.forosuse.org]

- ACTUALIZACIÓN 20071030 -
Si cerramos la(s) pestaña(s) desde el menú contextual del botón secundario del ratón, no tendremos ningún problema.

No hay comentarios:

Publicar un comentario en la entrada

Tu comentario será publicado tan pronto como sea supervisado y aprobado.
No están permitidas las faltas de respeto ni la información sensible (como direcciones de correo o números de teléfono). Estos comentarios serán eliminados.

LinkWithin

Related Posts Plugin for WordPress, Blogger...